<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("xxxxx Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//REGRAS DE NEGOCIO
//AO ENTRAR APARECE UMA LISTA DE REQUERENTES E ELE SELECIONA UM REQUERENTE
//sELECIONADO O REQUERENTE ELE PODE INCLUIR UM CAMPO OU SELECIONAR UM CAMPO PARA EDICAO
//
//
//
//
//
//




//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

/*
$anoAmostra="2013";
$sqlultimo="select cpr_id from camposproducao where cpr_ano='".$anoAmostra."' && cpr_labo='".$idLabo."' order by cpr_numero desc LIMIT 1";  //fucnciona perfeito
$userOto=new camposproducao();
$userOto->executaSQL($sqlultimo);
$resOto=$userOto->retornaDados();
$cpr_id=$resOto->cpr_id;
$sessao->setVar('campoLong', $cpr_id);
*/
//echo("fiquide=$cpr_id  idLabo=$idLabo <br>");



////////////////////////








switch ($tela):
    case 'editar':
        echo '<h2>Remetentes cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');   
		$campoLong=0;
        $sessao = new sessao();
        $sessao->setVar('campoLong',$campoLong);

		
		
		
		     
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Ações</th><th>Endereco</th><th>Município</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				$user->extras_select = "WHERE id_lab=".$idLabo;

                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',substr($res->prd_nome,0,30));
					printf('<td class="center">
					<a href="?m=camposproducao&t=editarCampos&produtor_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$res->prd_id);
                    printf('<td>%s</td>',substr($res->prd_endereco,0,30));
                    printf('<td>%s</td>',substr($res->prd_municipio,0,30));
	                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        <td><input type="button" onclick="location.href='?m=camposproducao&t=listaGeralLaudos'" value="Lista Geral Laudos" /></td>  
        <?php        
    break;








///////////////AQUI REGIAO DO LAUDO///////////////////////////////////
    case 'editaLaudoFlor':
        $sessao = new sessao();
        $controle=$sessao->getVar('controle');
        echo("variavelcontrole $controle<br>");	
		if($controle=='listaGeralLaudos'):
          $laudoLong = get('lau_id_selecionar');
		  $sessao->setVar('laudoLong',$laudoLong);
		  //captura numero do campo e produtor   
		  $generica=new tabelagenerica();
		  $generica->tabela="laudoscampos";
		  $generica->campos_valores = array(
				"lau_campo" => NULL,
			);
		  $generica->extras_select =" where lau_id= ".$laudoLong;
		  $generica->selecionaCampos($generica);
		 	//while ($res = $generica->retornaDados()):
          $res = $generica->retornaDados();
          //vem do campo
		  $campoLong=$res->lau_campo;
          echo("xxxxxxxxxlaudo ide=$laudoLong   campolong=$campoLong <br>");
          $sessao->setVar('campoLong',$campoLong);
          $sessao->setVar('controle',"");//acaba com a sessao controel
		endif;
		//MANDA IMPRIMIR
		if(get('lau_id_imprimir') !== ""):
	      $laudoLong = get('lau_id_imprimir');
		  $sessao->setVar('laudoLong',$laudoLong);
		  //captura numero do campo    
		  $generica=new tabelagenerica();
		  $generica->tabela="laudoscampos";
		  $generica->campos_valores = array(
				"lau_campo" => NULL,
			);
		  $generica->extras_select =" where lau_id= ".$laudoLong;
		  $generica->selecionaCampos($generica);
		 	//while ($res = $generica->retornaDados()):
          $res = $generica->retornaDados();
          //vem do campo
		  $campoLong=$res->lau_campo;
          echo("xxxxxxxxxlaudo ide=$laudoLong   campolong=$campoLong <br>");
          $sessao->setVar('campoLong',$campoLong);
	      $amostraCorrente=post('amostra');
		  //$sessao = new sessao();
		  echo("id do campo $campoLong<br>");
          echo '<iframe src="imprimeLaudoFlor.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
		endif;//isset tesa botao imprimri laudo 		
		

		

        $campoLong  =$sessao->getVar('campoLong');
		$userbd = new camposproducao();
        $userbd->extras_select = "WHERE cpr_id=" . $campoLong;
        $userbd->selecionaTudo($userbd);
        $resbd = $userbd->retornaDados();
		$nome=$resbd->cpr_nome_do_campo;
		$endereco=$resbd->cpr_endereco;
		//acha especie e cultivar
		///////////////###############///////////
		$generica=new tabelagenerica();
		$generica->tabela="camposproducao,especies,cultivar";
		$generica->campos_valores = array(
			"esp_nome" => NULL,
			"ctv_nome" => NULL,
			);
		$generica->extras_select =" where  ctv_especie=esp_id && ctv_id=cpr_cultivar &&  cpr_id=" . $campoLong;
		$generica->selecionaCampos($generica);
		//echo("zzzzzzzzzzzzz $generica->extras_select<br>");
		while ($res = $generica->retornaDados()):
            //vem do campo
			$especieCampo=$res->esp_nome;
			$cultivarCampo=$res->ctv_nome;
        endwhile;                	
		//////////////##############////////////
		echo("Nome do campo: $nome  Endereço:$endereco Espécie $especieCampo   Cultivar  $cultivarCampo  Cod:$campoLong <br>");
        //aqui prepara um kip para cada especie
		if($especieCampo=="TRIGO"):
          $fatores1='Plantas atípicas(tri)';
          $fatores2='Plantas de outras espécies(tri)';
          $fatores3='Plantas nocivas toleradas(tri)';
          $fatores4='Plantas nocivas proibidas(tri)';
          $fatores5='Outras(tri)';
		elseif(substr($especieCampo,0,5)=="AVEIA"):
          $fatores1='Plantas atípicasAVE';
          $fatores2='Plantas de outras espéciesAVE';
          $fatores3='Plantas nocivas toleradasAVE';
          $fatores4='Plantas nocivas proibidasAVE';
          $fatores5='OutrasAVE';
		elseif(substr($especieCampo,0,4)=="SOJA"):
          $fatores1='Plantas atípicas';
          $fatores2='Plantas de outras espécies';
          $fatores3='Plantas nocivas toleradas';
          $fatores4='Plantas nocivas proibidas';
          $fatores5='Outras de  soja';
		elseif(substr($especieCampo,0,4)=="FEIJ"):
          $fatores1='Plantas atípicas';
          $fatores2='Plantas de outras espécies';
          $fatores3='Plantas nocivas toleradas';
          $fatores4='Plantas nocivas proibidas';
          $fatores5='Antracnose';
		else:
          $fatores1='Plantas atípicas';
          $fatores2='Plantas de outras espécies';
          $fatores3='Plantas nocivas toleradas';
          $fatores4='Plantas nocivas proibidas';
          $fatores5='Outras(original)';
        endif;

        //vai imprimir o laudo que estava selecioado		
	
        //cria vetor de tecnicos
        $user = new tecnico();
		$user->extras_select = "WHERE ret_id_labo=$idLabo order by ret_nome ";
        $user->selecionaTudo($user);
        $contadorTecnicos=0;  
        while ($res = $user->retornaDados()):
			$contadorTecnicos++;
			$vetorTecnico[$contadorTecnicos]=$res->ret_nome;
        endwhile; 		

		   //achar id do tecnico
		   $tecnico=post('tecnico');
			$user = new tecnico();
			$user->extras_select = "WHERE ret_nome='".$tecnico."'";
	        $user->selecionaTudo($user);
	        while ($res = $user->retornaDados()):
	            $idTecnico= $res->ret_id;
	        endwhile;	
        
		   $faseSalvar=post('fase');
		   $outraFase=post('outraFase');
		   if($outraFase!=""):
		      $faseSalvar=$outraFase;
		   endif;
		   $dataLaudo=post('dataLaudo');
		   $densidade=post('densidade');
		   $subAmostras=post('subAmostras');
		   $plantasSubAmostra=post('plantasSubAmostra');
		   $pragas=post('pragas');
		   $tratamentoReco=post('tratamentoReco');
		   $naoConformidades=post('naoConformidades');
		   $medidas=post('medidas');
		   $gravaAprovacao=post('aprovacao');
		   $gravaIsolamento=post('isolamento');
		   if(post('revistoria') !== "")$gravaRevistoria="SIM";
		   
		   
		   $a1=post('a1');
		   $b1=post('b1');
		   $c1=post('c1');
		   $d1=post('d1');
		   $e1=post('e1');
		   $f1=post('f1');

		   $a2=post('a2');
		   $b2=post('b2');
		   $c2=post('c2');
		   $d2=post('d2');
		   $e2=post('e2');
		   $f2=post('f2');

		   $a3=post('a3');
		   $b3=post('b3');
		   $c3=post('c3');
		   $d3=post('d3');
		   $e3=post('e3');
		   $f3=post('f3');

		   $a4=post('a4');
		   $b4=post('b4');
		   $c4=post('c4');
		   $d4=post('d4');
		   $e4=post('e4');
		   $f4=post('f4');

		   $a5=post('a5');
		   $b5=post('b5');
		   $c5=post('c5');
		   $d5=post('d5');
		   $e5=post('e5');
		   $f5=post('f5');
		   $numero=post('numero');

           $salvarDadosLaudo='SIM';
           if($faseSalvar=='' || $idTecnico==0):
		      $salvarDadosLaudo="NAO";
			  printMSG('Precisa preencher campos obrigatorios o tecnico e também a fase.Não haverá gravação.');
		   endif;


        
		//botao salvar laudo edicao
		if(post('bt_salvarLaudoEdicao') !== ""  &&  $salvarDadosLaudo=='SIM'):
              $laudoLong=$sessao->getVar('laudoLong');
			  $sql="update laudoscampos set lau_fase='$faseSalvar',lau_tecnico='$idTecnico',lau_data='$dataLaudo',lau_numero='$numero'
			  ,lau_densidade='$densidade',lau_sub_amostra='$subAmostras',lau_plantas_sub_amostra='$plantasSubAmostra'
			  ,lau_pragas='$pragas',lau_tratamento_reco='$tratamentoReco',lau_nao_conformidade='$naoConformidades'
			  ,lau_medida_corretiva='$medidas',lau_aprovacao='$gravaAprovacao',lau_revistoria='$gravaRevistoria',lau_isolamento='$gravaIsolamento'
			  ,lau_a1='$a1',lau_b1='$b1',lau_c1='$c1',lau_d1='$d1',lau_e1='$e1',lau_f1='$f1'
			  ,lau_a2='$a2',lau_b2='$b2',lau_c2='$c2',lau_d2='$d2',lau_e2='$e2',lau_f2='$f2'
			  ,lau_a3='$a3',lau_b3='$b3',lau_c3='$c3',lau_d3='$d3',lau_e3='$e3',lau_f3='$f3'
			  ,lau_a4='$a4',lau_b4='$b4',lau_c4='$c4',lau_d4='$d4',lau_e4='$e4',lau_f4='$f4'
			  ,lau_a5='$a5',lau_b5='$b5',lau_c5='$c5',lau_d5='$d5',lau_e5='$e5',lau_f5='$f5'
			  where lau_id=".$laudoLong;
	          $userNota = new generica();
	          $userNota->campos_valores = $sql;				 
			  $userNota->inserirEspecial($userNota);
			  //$sessao->setVar('laudoLong',$laudoLong);
		      //echo("sql de gravacao REGISTRO editado   =$sql   laudoLong=$laudoLong<br>");
              //echo("faseSalvar=$faseSalvar<br>");		
			  printMSG('Edição ok! Lembrar que pode inclusive mudar o número do laudo, mas nao deixe numeração repetida.','alerta');

		endif;//isse salvar laudo
		
		//botao salvar laudo noovo
		if(post('bt_salvarLaudoNovo') !== ""&&  $salvarDadosLaudo=='SIM'):
           //captura ultimo numero do laudo
		   $generica=new tabelagenerica();
		   $generica->tabela="laudoscampos";
		   $generica->campos_valores = array(
		     "lau_numero" => NULL,
	       );
		   //$generica->extras_select =" where  lau_campo =" . $campoLong." order " ;
		   $generica->extras_select =" order by lau_numero " ;
		   $generica->selecionaCampos($generica);
		   //echo("zzzzzzzzzzzzz $generica->extras_select<br>");
           $numero=0;
		   while ($res = $generica->retornaDados()):
             $numero=$res->lau_numero;
           endwhile; 
		   $numero++;               
           $dataLaudo=date("d/m/Y");
         echo("faseSalvar=$faseSalvar<br>");		
			  $sql="insert into laudoscampos(lau_campo,lau_fase,lau_data,lau_tecnico
			  ,lau_densidade,lau_sub_amostra,lau_plantas_sub_amostra
			  ,lau_pragas,lau_tratamento_reco,lau_nao_conformidade,lau_medida_corretiva,lau_numero
			  ,lau_aprovacao,lau_revistoria,lau_isolamento
			  ,lau_a1,lau_b1,lau_c1,lau_d1,lau_e1,lau_f1
			  ,lau_a2,lau_b2,lau_c2,lau_d2,lau_e2,lau_f2
			  ,lau_a3,lau_b3,lau_c3,lau_d3,lau_e3,lau_f3
			  ,lau_a4,lau_b4,lau_c4,lau_d4,lau_e4,lau_f4
			  ,lau_a5,lau_b5,lau_c5,lau_d5,lau_e5,lau_f5
			  )";
         $sql.="values('$campoLong','$faseSalvar','$dataLaudo','$idTecnico'
    		  ,'$densidade','$subAmostras','$plantasSubAmostra'
			  ,'$pragas','$tratamentoReco','$naoConformidades','$medidas','$numero'
			  ,'$gravaAprovacao','$gravaRevistoria','$gravaIsolamento'
              ,'$a1','$b1','$c1','$d1','$e1','$f1'
		      ,'$a2','$b2','$c2','$d2','$e2','$f2'
		      ,'$a3','$b3','$c3','$d3','$e3','$f3'
		      ,'$a4','$b4','$c4','$d4','$e4','$f4'
		      ,'$a5','$b5','$c5','$d5','$e5','$f5'
			  )";
	          $userNota = new generica();
	          $userNota->campos_valores = $sql;				 
			  $laudoLong=$userNota->inserirEspecial($userNota);
			  $sessao->setVar('laudoLong',$laudoLong);
		     // echo("sql de gravacao REGISTRO NOVO =$sql   laudoLong=$laudoLong<br>");
			  printMSG('Inseriu laudo novo. Repare que a data do laudo é a data do dia, mas pode ser alterada.  ok!','alerta');

		endif;//isse salvar laudo
		
		//abre a lista de laudos....
	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
       ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "150px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Número</th><th>Fase_Motivo</th><th>Selecao(1)</th> <th>Imprimir</th>  <th>Excluir</th><th>Data</th><th>Técnico</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				$generica=new tabelagenerica();
				$generica->tabela="laudoscampos";
				$generica->campos_valores = array(
						"lau_fase" => NULL,
						"lau_numero" => NULL,
						"lau_data" => NULL,
						"lau_tecnico" => NULL,
						"lau_id" => NULL,
					);
				$generica->extras_select =" where  lau_campo =" . $campoLong;
				$generica->selecionaCampos($generica);
				//echo("zzzzzzzzzzzzz $generica->extras_select<br>");
				while ($res = $generica->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->lau_numero);
                    printf('<td>%s</td>',$res->lau_fase);
					printf('<td class="center">
					<a href="?m=camposproducao&t=editaLaudoFlor&lau_id_selecionar=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$res->lau_id);
					printf('<td class="center">
					<a href="?m=camposproducao&t=editaLaudoFlor&lau_id_imprimir=%s" title="Imprimir"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$res->lau_id);

					printf('<td class="center">
					<a href="?m=camposproducao&t=editaLaudoFlor&lau_id_deletar=%s" title="Editar"><img src="images/delete.png" alt="Editar" /></a>
					</td>',$res->lau_id);
                    printf('<td>%s</td>',$res->lau_data);
					//acha o tecnico
					$idTecnico=$res->lau_tecnico;
					if($idTecnico>0):
				       $user = new tecnico();
					   $user->extras_select = "WHERE ret_id=".$idTecnico;
			           $user->selecionaTudo($user);
			           while ($res = $user->retornaDados()):
						   $tecnico=$res->ret_nome;
			           endwhile; 	
                    endif; 
                    printf('<td>%s</td>',$tecnico);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>	
		<br>	
		<?php


		//captura dados gerais do laudo 
		if (get('lau_id_selecionar') !== ""):
           $laudoLong = get('lau_id_selecionar');
		   $sessao->setVar('laudoLong',$laudoLong);
           //echo("xxxxxxxxxlaudo ide=$laudoLong  <br>");
        endif;

		
		
		//captura dados gerais do laudo 
		if ($laudoLong>0):
			$generica=new tabelagenerica();
				$generica->tabela="laudoscampos";
				$generica->campos_valores = array(
						"lau_fase" => NULL,
						"lau_data" => NULL,
						"lau_tecnico" => NULL,
						"lau_densidade" => NULL,
						"lau_sub_amostra" => NULL,
						"lau_plantas_sub_amostra" => NULL,
						"lau_pragas" => NULL,
						"lau_tratamento_reco" => NULL,
						"lau_nao_conformidade" => NULL,
						"lau_medida_corretiva" => NULL,
						"lau_aprovacao" => NULL,
						"lau_revistoria" => NULL,
						"lau_isolamento" => NULL,
						"lau_numero" => NULL,

						"lau_a1" => NULL,
						"lau_b1" => NULL,
						"lau_c1" => NULL,
						"lau_d1" => NULL,
						"lau_e1" => NULL,
						"lau_f1" => NULL,

					    "lau_a2" => NULL,
						"lau_b2" => NULL,
						"lau_c2" => NULL,
						"lau_d2" => NULL,
						"lau_e2" => NULL,
						"lau_f2" => NULL,

					    "lau_a3" => NULL,
						"lau_b3" => NULL,
						"lau_c3" => NULL,
						"lau_d3" => NULL,
						"lau_e3" => NULL,
						"lau_f3" => NULL,

					    "lau_a4" => NULL,
						"lau_b4" => NULL,
						"lau_c4" => NULL,
						"lau_d4" => NULL,
						"lau_e4" => NULL,
						"lau_f4" => NULL,

					    "lau_a5" => NULL,
						"lau_b5" => NULL,
						"lau_c5" => NULL,
						"lau_d5" => NULL,
						"lau_e5" => NULL,
						"lau_f5" => NULL,
		);
				$generica->extras_select =" where  lau_id =" . $laudoLong;
				$generica->selecionaCampos($generica);
				//echo("zzzzzzzzzzzzz $generica->extras_select<br>");
				while ($res = $generica->retornaDados()):
                    $faseSalvar=$res->lau_fase;
                    $densidade=$res->lau_densidade;
                    $subAmostras=$res->lau_sub_amostra;
                    $plantasSubAmostra=$res->lau_plantas_sub_amostra;
                    $pragas=$res->lau_pragas;
                    $tratamentoReco=$res->lau_tratamento_reco;
                    $naoConformidades=$res->lau_nao_conformidade;
                    $aprovacao=$res->lau_aprovacao;
                    $revistoria=$res->lau_revistoria;
                    $isolamento=$res->lau_isolamento;
                    $medidas=$res->lau_medida_corretiva;
                    $numero=$res->lau_numero;
                    $dataLaudo=$res->lau_data;
                    $idTecnico=$res->lau_tecnico;
                    $a1=$res->lau_a1;
                    $b1=$res->lau_b1;
                    $c1=$res->lau_c1;
                    $d1=$res->lau_d1;
                    $e1=$res->lau_e1;
                    $f1=$res->lau_f1;

                    $a2=$res->lau_a2;
                    $b2=$res->lau_b2;
                    $c2=$res->lau_c2;
                    $d2=$res->lau_d2;
                    $e2=$res->lau_e2;
                    $f2=$res->lau_f2;

                    $a3=$res->lau_a3;
                    $b3=$res->lau_b3;
                    $c3=$res->lau_c3;
                    $d3=$res->lau_d3;
                    $e3=$res->lau_e3;
                    $f3=$res->lau_f3;

                    $a4=$res->lau_a4;
                    $b4=$res->lau_b4;
                    $c4=$res->lau_c4;
                    $d4=$res->lau_d4;
                    $e4=$res->lau_e4;
                    $f4=$res->lau_f4;

                    $a5=$res->lau_a5;
                    $b5=$res->lau_b5;
                    $c5=$res->lau_c5;
                    $d5=$res->lau_d5;
                    $e5=$res->lau_e5;
                    $f5=$res->lau_f5;

           endwhile;
		   $s1=$a1+$b1+$c1+$d1+$e1+$f1;
		   $s2=$a2+$b2+$c2+$d2+$e2+$f2;
		   $s3=$a3+$b3+$c3+$d3+$e3+$f3;
		   $s4=$a4+$b4+$c4+$d4+$e4+$f4;
		   $s5=$a5+$b5+$c5+$d5+$e5+$f5;
		    
		   if($aprovacao=="SIM")$cheque1='checked';
		   if($aprovacao!="SIM")$cheque2='checked';
		   if($isolamento=="SIM")$cheque3='checked';
		   if($isolamento!="SIM")$cheque4='checked';
		   if($revistoria=="SIM")$chequeRevistoria='checked';
		   //acha o tecnico para mostra no combo
		   $user = new tecnico();
		   $user->extras_select = "WHERE ret_id=".$idTecnico;
           $user->selecionaTudo($user);
           while ($res = $user->retornaDados()):
			   $tecnico=$res->ret_nome;
           endwhile; 		
		   
		   //$cheque1='checked';
		   //$chequeRevistoria='checked';
		                  
	       // $sessao = new sessao();
	       // $sessao->setVar('campoLong',$campoLong);
    	endif;//final do isset para pegar campo id para achar e mostra 1 registro
		
        //captura id do laudo para deletar		
		if (get('lau_id_deletar') !== ""):
	       $laudoLong = get('lau_id_deletar');
           $sql="delete from laudoscampos where lau_id=" . $laudoLong;
           $userNota = new generica();
           $userNota->campos_valores = $sql;				 
		   $userNota->inserirEspecial($userNota);
		   $laudoLong=0;
		   $sessao->setVar('laudoLong',$laudoLong);
           echo("deletar laudo  ide=$laudoLong  sql=$sql  <br>");
    	endif;//final do isset para pegar campo id para achar e mostra 1 registro
		//fim de abrir lista de aludos laudo



/*
        //vai imprimir o laudo que estava selecioado		
	    if(isset('bt_imprimeLaudo')):
		endif;//isset tesa botao imprimri laudo 		
*/		
		
		

        ?> 


		
            <form class="userform" method="post" action="">
                <fieldset>
                     <!--primeira linha-->
                      <table  width="900" bgcolor="#93ae9b">
					 <tr>
					 <td>Fase da cultura:</td>
                     <td>
					  <select name="fase" value="">  
				   		<option><?php  echo $faseSalvar; ?></option>
				   		<option>Floração</option>
				   		<option>Maturação</option>
				   		<option>Revistoria</option>
				     </select>
					 <td>Pode digitar outra fase:<input type="text" size="15" name="outraFase" value="<?php  echo $faseSalvar; ?>" /></td>
					 </td>
					 <td>Técnicos
					 <select name="tecnico" value="">  
				   	 <option><?php  echo $tecnico; ?></option>
					    <?php 
						for($i=1;$i<=$contadorTecnicos;$i++):
						 	echo"<option>".$vetorTecnico[$i]."</option>";
                        endfor; 
                        ?>
				     </select>
					 </td>							 
                     </tr> 
                     </table>



                     <!--segunda linha-->
                     <table  width="900" bgcolor="#d7ddda">
					 <tr>
					 <td>Data Laudo:<input type="text"  size="8" name="dataLaudo" maxlength="10"  value="<?php   echo $dataLaudo; ?>" /></td>
					 <td> Densidade:<input type="text" size="3" name="densidade" maxlength="6" value="<?php  echo $densidade; ?>" /></td>
					 <td>Num sub amostras:<input type="text" size="3" name="subAmostras" maxlength="4"  value="<?php  echo $subAmostras; ?>" /></td>
					 <td>Num plântulas p/amostra:<input type="text" size="3" name="plantasSubAmostra" maxlength="4"  value="<?php   echo $plantasSubAmostra; ?>" /></td>
                     </tr> 
                     </table>

                     <!--tabela mestra-->
                     <table width="900" bgcolor="silver">
                     <td><table width="200">
					 <tr>
					 <td>-</td>
					 </tr>
                     </table><td>
					 <td><table  bgcolor="white" width="700">
					 <tr>
					 <td align="center">Sub-Amostras</td>
					 </tr>
                     </table></td>
                     </table>
					 
					 
                     <!-- segunda tabela-->
                     <table width="900" bgcolor="silver">
					 <tr>
					 <td><?php echo $fatores1;?></td>
 					 <td align="center">A</td>
					 <td align="center">B</td>
					 <td align="center">C</td>
					 <td align="center">D</td>
					 <td align="center">E</td>
					 <td align="center">F</td>
					 <td align="center">SOMA</td>
					 </tr>
                     <!--1ª  LINHA DE CAMPOS TEXT PARA DIGITAR-->
					 <tr>
					 <td><?php echo $fatores1;?></td>
					 <td align="center"> <input type="text" size="1" name="a1"  maxlength="3" value="<?php echo $a1; ?>"  autofocus="autofocus" />  </td>
					 <td align="center"> <input type="text" size="1" name="b1"  maxlength="3" value="<?php echo $b1; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="c1"  maxlength="3" value="<?php echo $c1; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="d1"  maxlength="3" value="<?php echo $d1; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="e1"  maxlength="3" value="<?php echo $e1; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="f1"  maxlength="3" value="<?php echo $f1; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="s1"  maxlength="3" value="<?php echo $s1; ?>" />  </td>
					 </tr>

                     <!--2ª  LINHA DE CAMPOS TEXT PARA DIGITAR-->
					 <tr>
					 <td><?php echo $fatores2;?></td>
					 <td align="center"> <input type="text" size="1" name="a2"  maxlength="3" value="<?php echo $a2; ?>"  autofocus="autofocus"  />  </td>
					 <td align="center"> <input type="text" size="1" name="b2"  maxlength="3" value="<?php echo $b2; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="c2"  maxlength="3" value="<?php echo $c2; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="d2"  maxlength="3" value="<?php echo $d2; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="e2"  maxlength="3" value="<?php echo $e2; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="f2"  maxlength="3" value="<?php echo $f2; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="s2"  maxlength="3" value="<?php echo $s2; ?>" />  </td>
					 </tr>

                     <!--3ª  LINHA DE CAMPOS TEXT PARA DIGITAR-->
					 <tr>
					 <td><?php echo $fatores3;?></td>
					 <td align="center"> <input type="text" size="1" name="a3"  maxlength="3" value="<?php echo $a3; ?>"  autofocus="autofocus"  />  </td>
					 <td align="center"> <input type="text" size="1" name="b3"  maxlength="3" value="<?php echo $b3; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="c3"  maxlength="3" value="<?php echo $c3; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="d3"  maxlength="3" value="<?php echo $d3; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="e3"  maxlength="3" value="<?php echo $e3; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="f3"  maxlength="3" value="<?php echo $f3; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="s3"  maxlength="3" value="<?php echo $s3; ?>" />  </td>
					 </tr>

                     <!--4ª  LINHA DE CAMPOS TEXT PARA DIGITAR-->
					 <tr>
					 <td><?php echo $fatores4;?></td>
					 <td align="center"> <input type="text" size="1" name="a4"  maxlength="3" value="<?php echo $a4; ?>"  autofocus="autofocus"  />  </td>
					 <td align="center"> <input type="text" size="1" name="b4"  maxlength="3" value="<?php echo $b4; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="c4"  maxlength="3" value="<?php echo $c4; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="d4"  maxlength="3" value="<?php echo $d4; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="e4"  maxlength="3" value="<?php echo $e4; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="f4"  maxlength="3" value="<?php echo $f4; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="s4"  maxlength="3" value="<?php echo $s4; ?>" />  </td>
					 </tr>

                     <!--5ª  LINHA DE CAMPOS TEXT PARA DIGITAR-->
					 <tr>
					 <td><?php echo $fatores5;?></td>
					 <td align="center"> <input type="text" size="1" name="a5"  maxlength="3" value="<?php echo $a5; ?>"  autofocus="autofocus"  />  </td>
					 <td align="center"> <input type="text" size="1" name="b5"  maxlength="3" value="<?php echo $b5; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="c5"  maxlength="3" value="<?php echo $c5; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="d5"  maxlength="3" value="<?php echo $d5; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="e5"  maxlength="3" value="<?php echo $e5; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="f5"  maxlength="3" value="<?php echo $f5; ?>" />  </td>
					 <td align="center"> <input type="text" size="1" name="s5"  maxlength="3" value="<?php echo $s5; ?>" />  </td>
					 </tr>
                     </table>
					 <table  bgcolor="#d8e817"  width="900">
                     <tr>
					 
					 
                     <td><input type="submit" name="bt_salvarLaudoNovo" value="Lancar laudo novo neste campo" /></td>   
					 <?php
					 if($numero>0):
                     ?> 
                     <td><input type="submit" name="bt_salvarLaudoEdicao" value="Salvar Alterações Laudo" />
					 Laudo:<input type="text"   style="font-size:200%"  style="font-family:Arial"  style="height: 20px"  size="1" name="numero"  maxlength="3" value="<?php echo $numero; ?>" />  </td>					 
                     <?php
					 endif;
					 ?>					 
					 <td><input type="button" onclick="location.href='?m=camposproducao&t=editarCampos'" value="Voltar" /></td>   
					 </tr>

					 </table>
					 <table  bgcolor="#778880"  width="900">
					 <tr>
					 <td>Incidência de pragas e doenças:</td>
					 <td><input type="text" size="70" name="pragas" maxlength="100" value="<?php  echo $pragas; ?>" />
					 </td>
					 </tr>
					 <tr>
					 <td>Tratamento recomendado:</td>
					 <td><input type="text" size="70" name="tratamentoReco" maxlength="150"  value="<?php  echo $tratamentoReco; ?>" />
					 </td>
					 </tr>
					 </table>
					 </table>

					 <table  bgcolor="#bbc4bf"  width="900">
					 <!--APROVADO/REPROVADO/REVISTORIA-->
					 <tr>
					 <td>
					 <input type="radio"  name="aprovacao"   value="SIM" <?php echo $cheque1;?> /> Aprovado(ha)
					 </td>
					 <td>
					 <input type="radio"  name="aprovacao"   value="NAO"  <?php echo $cheque2;?> /> Condenado(ha)
					 </td>
					 <td>
					 <input type="checkbox"  name="revistoria" <?php echo $chequeRevistoria;?> /> Revistoria(ha)
					 </td>
                     </tr>
                     <!--ISOLAMENTO ADEQUADO/INADEQUADO-->
					 <tr>
					 <td>
					 <input type="radio"  name="isolamento"   value="SIM" <?php echo $cheque3;?> /> Isolamento adequado
					 </td>
					 <td>
					 <input type="radio"  name="isolamento"   value="NAO"  <?php echo $cheque4;?> /> Isolamento inadequado
					 </td>
                     </tr>


					 </table>

					 <table  bgcolor="#a0ada7"  width="900">
					 <tr>
					 <td>Não conformidades encontradas nas demais etapas de produção, inclusive beneficiamento e armazenamento:</td>
					 <tr>
					 <td>
					 <input type="text" size="100" name="naoConformidades" maxlength="150"  value="<?php  echo $naoConformidades; ?>" />
					 </td>
					 </tr>
					 <tr>
					 <td>Medidas corretivas a serem adotadas:</td>
					 <tr>
					 <td>
					 <input type="text" size="100" name="medidas" maxlength="150" value="<?php  echo $medidas; ?>" />
					 </td>
					 </tr>
					 </table>
                </fieldset>
            </form>
        <?php
    break;//final de editarLaudoFlor

    case 'editarCampos':
        $sessao = new sessao();
        //echo("campoLongaaaaaaaaaaa  $campoLong<br>") ; 
        $listarCampos='NAO';
        //captura a selecao de requerente
        if (get('produtor_id') !== ""):
         $idProdutor= get('produtor_id');
         $sessao->setVar('idProdutor', $idProdutor);
		 $listarCampos='SIM';
		endif;	
        $idProdutor=$sessao->getVar('idProdutor');
       
	    //captura a selecao de cultivar
        if (get('ctv_id') !== ""):
         $idCultivar= get('ctv_id');
         $sessao->setVar('idCultivar', $idCultivar);
		 $selecionandoCultivar='SIM';
		endif;	
        $idCultivar=$sessao->getVar('idCultivar');

        //acha o nome do produtor
		$user = new remetentes();
		$user->extras_select = "WHERE prd_id=".$idProdutor;
        $user->selecionaTudo($user);
        while ($res = $user->retornaDados()):
            $nomeProdutor= $res->prd_nome;
        endwhile;		
        echo '<h2>Campo(s) de produção do produtor '. $nomeProdutor.'</h2>';
		
		//aqui ele abre o registro se houver
        if($cpr_id>0):
			//localiza os campos da classe associadas(cultivar,remetente,amostrador)	
			$associadas = new associadascampo();
	        $associadas->extras_select = "WHERE cpr_id_produtor=prd_id && cpr_cultivar=ctv_id &&  cpr_id=$campoLong";
	        $associadas->selecionaTudo($associadas);
	        $resAssociadas = $associadas->retornaDados();

            //abre a tabela campos , caso ja tenha o id de um campo
	        $userbd = new camposproducao();
	        $userbd->extras_select = "WHERE cpr_id=$campoLong";
	        $userbd->selecionaTudo($userbd);
	        $resbd = $userbd->retornaDados();
			$endereco=$resbd->cpr_endereco;
        endif;		
		



      //listar campos
        if (post('bt_listarCampos') !== ""):
		   $listarCampos='SIM';
		endif;	




    //aqui vai pegar o id do campo PARA MOSTRAR NA TABELA EMBAIXO
    if (get('campo_id') !== ""):
        $campoLong = get('campo_id');
        $sessao = new sessao();
        $sessao->setVar('campoLong',$campoLong);
	endif;//final do isset para pegar campo id para achar e mostra 1 registro

	
    //aqui vai pegar o id do campo PARA deletar
    if (get('campo_id_deletar') !== ""):
        $campoLong = get('campo_id_deletar');
		echo("aqui pega o campo_id $campoLong <br>");
        $user = new camposproducao();
        $user->valorpk = $campoLong;
        $user->deletar($user);
        if ($user->linhasafetadas==1):
            printMSG('Registro excluído com sucesso. <a href="?m=camposproducao&t=listar">Exibir cadastros</a>');
            unset($_POST);
			$listarCampos='SIM';
        else:
            printMSG('Nenhum registro foi excluído. <a href="?m=camposproducao&t=listar">Exibir cadastros</a>','alerta');
        endif;
	endif;//final do isset para pegar campo id para deletar




    if(post('bt_listaCultivares') !== ""):
    //////////////////
	    $listarCampos='NAO';
	    $endereco=  post('enderecoCampo');
        echo("eeeeeeeeeeeeeeeeENDERECO=$endereco  <br>");
	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "200px",
                "bPaginate": false,
                "aaSorting": [] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Cultivar</th><th>Ações</th><th>Espécie</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new cultivaresespecies();
				//$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_idCultivar=ctv_id  order by ctv_nome  LIMIT 10";
				$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by esp_nome,ctv_nome  ";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->ctv_nome);
					printf('<td class="center">
					<a href="?m=camposproducao&t=editarCampos&ctv_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$res->ctv_id);
                    printf('<td>%s</td>',$res->esp_nome);
                    //printf('<td>%s</td>',$res->ctv_nome);
      
                   
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    endif;//fim doo isset bt lista cutivares
	/////////////////////



        //REGISTRAR UM CAMPO NOVO
        if(post('bt_registraCampoNovo') !== ""):
           //echo('botao bt_campo novo');	
           $nomeCampo= post('campo');
		   $novaAmostra=333;
		   if($idCultivar>0 && $nomeCampo!="" ):
	           $amoNova = new camposproducao(array(
	                'cpr_numero'=> $novaAmostra,
	                'cpr_nome_do_campo'   =>  $nomeCampo,
	                'cpr_area'   =>  post('area'),
	                'cpr_municipio'   =>  post('municipio'),
			        'cpr_propriedade'   =>  post('propriedade'),
					'cpr_produziu'   =>  post('produziu'),
					'cpr_cooperante'   =>  post('cooperante'),
					'cpr_tetrazolio'   =>  post('tetrazolio'),					
					
	                'cpr_uf'   =>  post('uf'),
	                'cpr_plantada'   =>  post('areaPlantada'),
	                'cpr_endereco'   =>  post('enderecoCampo'),
	                'cpr_latitude'   =>  post('latitude'),
	                'cpr_longitude'   =>  post('longitude'),
	                'cpr_plantio_anterior'   =>  post('plantioAnterior'),
	                'cpr_data_plantio'   =>  post('dataPlantio'),
	                'cpr_meta'   =>  post('meta'),
	                'cpr_cultivar' =>  $idCultivar,
	                'cpr_id_produtor' =>  $idProdutor,
	                'cpr_safra' =>  post('safra'),
	                'cpr_categoria' =>  post('categoria'),
	                'cpr_labo'   =>  $idLabo,
	                'cpr_ano'   =>  $anoAmostra,
	            ));
	            $campoLong=$amoNova->inserir($amoNova);
				$sessao->setVar('campoLong',$campoLong);
				$listarCampos='SIM';
				echo(" ID CAMPO RECEM CRIADO  aqui pega o campo_id $campoLong <br>");
	            $userbd = new camposproducao();
	            $userbd->extras_select = "WHERE cpr_id=" . $campoLong;
	            $userbd->selecionaTudo($userbd);
	            $resbd = $userbd->retornaDados();
          else:
		     printMSG('Campos obrigatórios: Cultivar e nome do campo. Não houve gravação.',alerta);
		  endif;

		endif;

    //EDITAR DADOS DE UM CAMPO
    if(post('bt_salvarAlteracoes') !== ""):
	   $campoLong=$sessao->getVar('campoLong');
       $idCultivar=$sessao->getVar('idCultivar');
       $user = new camposproducao(array(
			'cpr_nome_do_campo'   =>  post('campo'),
			'cpr_municipio'   =>  post('municipio'),
			'cpr_uf'   =>  post('uf'),
			'cpr_propriedade'   =>  post('propriedade'),
			'cpr_produziu'   =>  post('produziu'),
			'cpr_cooperante'   =>  post('cooperante'),
			'cpr_tetrazolio'   =>  post('tetrazolio'),
			'cpr_cultivar'   =>  $idCultivar,
			'cpr_endereco'   =>  post('enderecoCampo'),
            'cpr_safra' =>  post('safra'),
            'cpr_categoria' =>  post('categoria'),
			'cpr_latitude'   =>  post('latitude'),
	        'cpr_longitude'   =>  post('longitude'),
            'cpr_plantio_anterior'   =>  post('plantioAnterior'),
	        'cpr_data_plantio'   =>  post('dataPlantio'),
	        'cpr_area'   =>  post('area'),
        ));
        $user->valorpk = $campoLong;
        $user->extras_select = "WHERE   cpr_id=$campoLong";
        $user->selecionaTudo($user);
        $res = $user->retornaDados();
        $user->atualizar($user);
	    $listarCampos='SIM';
        echo(" xxxxxxxxxxxbotao bt_salvarAlteracoes  idCultivar=$idCultivar $user->extras_select <br>");	
	endif;





      //mostra a lista de campos do produtor selecionado, cujo nome aparece
      if($listarCampos=='SIM'):
        //echo '<h2>Campos cadastrados deste Produtor de semente</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "100px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0"  class="display" id="listausers">
            <thead>
                <tr>
                    <th>Campo</th><th>Selecionar</th><th>Endereco</th><th>Cultivar[ESP]</th><th>Município</th><th>Meta</th><th>Deletar</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $userbd = new camposproducao();
                $userbd->extras_select = "WHERE cpr_id_produtor=" . $idProdutor;
                $userbd->selecionaTudo($userbd);
                while($resbdListagem = $userbd->retornaDados()):;
                    echo '<tr>';
                    printf('<td>%s</td>',substr($resbdListagem->cpr_nome_do_campo,0,30));
					printf('<td class="center">
					<a href="?m=camposproducao&t=editarCampos&campo_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$resbdListagem->cpr_id,$resbdListagem->cpr_id);
					/*
                   printf('<td>%s',substr($resbdListagem->cpr_nome_do_campo,0,30));
					printf('<a href="?m=camposproducao&t=editarCampos&campo_id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=camposproducao&t=editarCampos&campo_id_deletar=%s" title="Detetar"><img src="images/delete.png" alt="Deletar" /></a>
					</td>',$resbdListagem->cpr_id,$resbdListagem->cpr_id);
					*/
                    printf('<td>%s</td>',substr($resbdListagem->cpr_endereco,0,30));
					$codigoCultivar=$resbdListagem->cpr_cultivar;
					$userCE = new cultivaresespecies();
					$userCE->extras_select = "where ctv_especie=esp_id && ctv_id=".$codigoCultivar;
			        $userCE->selecionaTudo($userCE);
			        while ($resCE = $userCE->retornaDados()):
			            $cultivar=$resCE->ctv_nome;
			            $especie=$resCE->esp_nome;
						$nomeComposto=$cultivar.'['.substr($especie,0,3).']';
			        endwhile;
                    printf('<td>%s</td>',substr($nomeComposto,0,30));
                    printf('<td>%s</td>',substr($resbdListagem->cpr_municipio,0,30));
                    printf('<td>%s</td>',substr($resbdListagem->cpr_meta,0,30));
					printf('<td class="center">
					<a href="?m=camposproducao&t=editarCampos&campo_id_deletar=%s" title="Detetar"><img src="images/delete.png" alt="Deletar" /></a>
					</td>',$resbdListagem->cpr_id,$resbdListagem->cpr_id);
                    echo '</tr>';
                endwhile; 
                ?>
            </tbody>
        </table>	
		<br>		
	<?php 		
	endif;//testou lista campos=sim  

   
    $campoLong=$sessao->getVar('campoLong'); 
	   
    if($campoLong>0):
        $userbd = new camposproducao();
        $userbd->extras_select = "WHERE cpr_id=" . $campoLong;
        $userbd->selecionaTudo($userbd);
        $resbd = $userbd->retornaDados();
		//if($resbd) $idCultivar= $resbd->cpr_cultivar;
        $endereco=$resbd->cpr_endereco; 		
        $idCultivar=$resbd->cpr_cultivar; 		
        //$idCultivar=$resbd->cpr_cultivar; 		
		//echo("sao tome aqui pega o campo_id $campoLong  idCultivar=$idCultivar   endereco=$endereco  <br>");
     endif;

    //se estiver selecionanco cultivar ele deve pegar da sessao recem criada ao selecionar cultivar
    if($selecionandoCultivar=="SIM"):
       $idCultivar=$sessao->getVar('idCultivar');     
    endif;


    //localiza cultivar e especie
	if($idCultivar>0):
        $userCE = new cultivaresespecies();
		$userCE->extras_select = "where ctv_especie=esp_id && ctv_id=".$idCultivar;
        $userCE->selecionaTudo($userCE);
        while ($resCE = $userCE->retornaDados()):
            $cultivar=$resCE->ctv_nome;
            $especie=$resCE->esp_nome;
        endwhile;
    endif; 


    //vai contar quantos laudo tem neste camposproducao
    $quantosLaudos=0;
    if($campoLong>0):
		$generica=new tabelagenerica();
		$generica->tabela="laudoscampos";
		$generica->campos_valores = array(
				"lau_id" => NULL,
			);
		$generica->extras_select =" where  lau_campo =" . $campoLong;
		$generica->selecionaCampos($generica);
		while ($res = $generica->retornaDados()):
	       $quantosLaudos++; 
	    endwhile;                
     endif; //fecha isset campo>0
     $legendaBotaoLaudos='Tem ' . $quantosLaudos. ' Laudo(s) deste campo';
     //fim da contagem de laudos

            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           endereco:{required:true, endereco:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
					 <?php echo $acesso; ?>
                     <table width="900">
					 <tr>
					 <td>Nome do campo:
					 <input type="text" size="20" name="campo" maxlength="60" value="<?php if($resbd) echo $resbd->cpr_nome_do_campo; ?>" /></td>
					 <td>Endereço:
					 <input type="text" size="20" name="enderecoCampo" maxlength="50" value="<?php echo $endereco; ?>" /></td>
					 <td>Municipio: <input type="text" size="40" maxlength="50" name="municipio"  value="<?php if($resbd) echo $resbd->cpr_municipio; ?>" /></td>
					 <td>UF<input type="text" size="2" maxlength="2" name="uf"  value="<?php if($resbd) echo $resbd->cpr_uf; ?>" /></td>
                     </tr>  
                     </table>


                     <table>
                     <tr>
 					 <td>Propriedade:<input type="text" size="20" name="propriedade" maxlength="50" value="<?php if($resbd) echo $resbd->cpr_propriedade; ?>" /></td>
 					 <td>Cooperante: <input type="text" size="20" name="cooperante" maxlength="50" value="<?php if($resbd) echo $resbd->cpr_cooperante; ?>" /></td>
                     </tr>  
                     </table>



					 <table>
                     <tr>
					 <td>
					 Latitude: <input type="text" size="10" name="latitude" maxlength="10"  value="<?php if($resbd) echo $resbd->cpr_latitude; ?>" />
					 Longitude:<input type="text" size="10" name="longitude" maxlength="10"  value="<?php if($resbd) echo $resbd->cpr_longitude; ?>" />
					 Plantio Anterior:<input type="text" size="10" name="plantioAnterior" maxlength="20"  value="<?php if($resbd) echo $resbd->cpr_plantio_anterior; ?>" />
					 Data Plantio:<input type="text" size="10" name="dataPlantio" maxlength="10" value="<?php if($resbd) echo $resbd->cpr_data_plantio; ?>" />
					 </td>
                     </tr> 
                     </table>

                     <table bgcolor="#67f757">
                     <tr>
					 <td>
					 <input type="submit"  name="bt_listaCultivares"    value="Cultivar"/>
					 <?php echo $cultivar;?></td>
					 <td>  
					 <input type="text" size="25" name="xxx" value="<?php echo '  Espécie: '. $especie;?>" /></td>
					 <td><input type="text" size="5" name="idCultivar"  disabled="disabled" value="<?php echo $idCultivar; ?>" />Selecione a CULTIVAR antes dos demais itens</td>
                     </tr> 
                     </table>

                     <table>
                     <tr>
					 <td>Area prevista:</td>
					 <td> <input type="text" size="5" name="area" maxlength="8" value="<?php if($resbd) echo $resbd->cpr_area; ?>" /></td>
					 <td>Area plantada:</td>
					 <td> <input type="text" size="5" name="areaPlantada" maxlength="5" value="<?php if($resbd) echo $resbd->cpr_plantada; ?>" /></td>
					 <td>Meta:</td>
					 <td> <input type="text" size="5" name="meta" maxlength="8" value="<?php if($resbd) echo $resbd->cpr_meta; ?>" /></td>
					 <td>Produziu:</td>
					 <td> <input type="text" size="5" name="produziu" maxlength="10" value="<?php if($resbd) echo $resbd->cpr_produziu; ?>" /></td>
                     </tr><tr>
					 <td>Safra:</td>
		             <td>
					 <select name="safra" value="">  
				   	 <option><?php if($resbd) echo $resbd->cpr_safra; ?></option>
					 	<option>2019/2019</option>
				   		<option>2018/2019</option>
				   		<option>2018/2018</option>
				   		<option>2017/2018</option>
				   		<option>2017/2017</option>
				   		<option>-O-</option>
				     </select>
					 </td>							 


                     <td> <label1>Categoria:</label1></td>							 
                     <td>
					 <select name="categoria" value="">  
				   	 <option><?php if($resbd) echo $resbd->cpr_categoria; ?></option>
				   		<option>C1</option>
				   		<option>C2</option>
				   		<option>S1</option>
				   		<option>S2</option>
				   		<option>BASICA</option>
				   		<option>GENETICA</option>
			   		 <option>QUALIFICADA</option>
			   		 <option>TESTADA</option>
			   		 <option>IDENTIFICADA</option>
			   		 <option>SELECIONADA</option>
				   	 <option>-O-</option>
				     </select>
					 </td>							 
                     </tr>
                     </table>
                     <!--#######################################################################-->
                     <table>
					 <tr>
					 <td>Dados sobre tz:</td>
					 <td> <input type="text" size="100" name="tetrazolio" maxlength="150" value="<?php if($resbd) echo $resbd->cpr_tetrazolio; ?>" /></td>
					 </tr>
                     </table>
                     
					 
					 <table bgcolor="#9596a4">  					 					 
                     <tr>
                     <td><input type="button" onclick="location.href='?m=camposproducao&t=editar'" value="Outro Produtor" /></td>   
					 <?php
					 if($campoLong>0):
					 ?>
					 <td><input type="submit" name="bt_salvarAlteracoes" value="Salvar Alterações" /></td>	
					 <?php
					 endif;
					 ?>
                     <td><input type="submit" name="bt_registraCampoNovo" value="Registrar novo campo" /></td>
                     <td><input type="submit" name="bt_listarCampos" value="Listar campos" /></td>
					 <?php 
					 if($campoLong>0):
					 ?>
                       <td><input type="button" onclick="location.href='?m=camposproducao&t=editaLaudoFlor'" value="LAUDOS" /></td>   
                       <td><?php echo $legendaBotaoLaudos; ?></td>   
					 <?php
					 endif;
					 ?> 
					 </tr>
					 </table>

                </fieldset>
            </form>
        <?php
 
    break;

    case 'listaGeralLaudos':
	//abre a lista de laudos....
	    $sessao = new sessao();
        $sessao->setVar('controle','listaGeralLaudos');
		if(get('lau_id_imprimir') !== ""):
	      $laudoLong = get('lau_id_imprimir');
		  $sessao->setVar('laudoLong',$laudoLong);
		  //captura numero do campo    
		  $generica=new tabelagenerica();
		  $generica->tabela="laudoscampos";
		  $generica->campos_valores = array(
				"lau_campo" => NULL,
			);
		  $generica->extras_select =" where lau_id= ".$laudoLong;
		  $generica->selecionaCampos($generica);
		 	//while ($res = $generica->retornaDados()):
          $res = $generica->retornaDados();
          //vem do campo
		  $campoLong=$res->lau_campo;
          echo("xxxxxxxxxlaudo ide=$laudoLong   campolong=$campoLong <br>");
          $sessao->setVar('campoLong',$campoLong);
	      $amostraCorrente=post('amostra');
		  //$sessao = new sessao();
		  echo("id do campo $campoLong<br>");
          echo '<iframe src="imprimeLaudoFlor.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  
		endif;//isset tesa botao imprimri laudo 		
		
		
		
		
		
	
	    loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
       ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "150px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table width="1200" cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Número</th><th>Produtor</th><th>Campo</th> <th>Fase</th><th>Selecao</th> <th>Imprimir</th> <th>Excluir</th><th>Data</th><th>Técnico</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				$generica=new tabelagenerica();
				$generica->tabela="laudoscampos,remetente,camposproducao";
				$generica->campos_valores = array(
						"lau_fase" => NULL,
						"lau_numero" => NULL,
						"lau_data" => NULL,
						"lau_tecnico" => NULL,
						"lau_id" => NULL,
						"cpr_nome_do_campo" => NULL,
						"prd_nome" => NULL,
					);
				//$generica->extras_select =" where  lau_campo =" . $campoLong;
				$generica->extras_select =" where prd_id=cpr_id_produtor and lau_campo=cpr_id order by lau_numero";
				$generica->selecionaCampos($generica);
				//echo("zzzzzzzzzzzzz $generica->extras_select<br>");
				while ($res = $generica->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->lau_numero);
                    printf('<td>%s</td>',$res->prd_nome);
                    printf('<td>%s</td>',$res->cpr_nome_do_campo);
                    printf('<td>%s</td>',$res->lau_fase);
					printf('<td class="center">
					<a href="?m=camposproducao&t=editaLaudoFlor&lau_id_selecionar=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$res->lau_id);
					printf('<td class="center">
					<a href="?m=camposproducao&t=listaGeralLaudos&lau_id_imprimir=%s" title="Imprimir"><img src="images/edit.png" alt="Editar" /></a>
					</td>',$res->lau_id);
					printf('<td class="center">
					<a href="?m=camposproducao&t=editaLaudoFlor&lau_id_deletar=%s" title="Editar"><img src="images/delete.png" alt="Editar" /></a>
					</td>',$res->lau_id);
                    printf('<td>%s</td>',$res->lau_data);
					//acha o tecnico
					$idTecnico=$res->lau_tecnico;
					if($idTecnico>0):
				       $user = new tecnico();
					   $user->extras_select = "WHERE ret_id=".$idTecnico;
			           $user->selecionaTudo($user);
			           while ($res = $user->retornaDados()):
						   $tecnico=$res->ret_nome;
			           endwhile; 	
                    endif; 
                    printf('<td>%s</td>',$tecnico);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>	
	    <?php
 	
	
	break;
	
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>
